package ch.ivyteam.sample;

import org.eclipse.core.runtime.IProgressMonitor;

import ch.ivyteam.di.restricted.DiCore;
import ch.ivyteam.ivy.security.ISecurityManager;
import ch.ivyteam.ivy.security.ISessionExtension;
import ch.ivyteam.ivy.server.IServerExtension;

public class SessionLifecycle implements IServerExtension {

	private final ISecurityManager securityManager = DiCore.getGlobalInjector().getInstance(ISecurityManager.class);
	private ISessionExtension sessionExtension;
	
	@Override
	public void start(IProgressMonitor monitor) throws Exception {
		sessionExtension = new MyDemoSessionExtension();
		securityManager.addSessionExtension(sessionExtension);
	}

	@Override
	public void stop(IProgressMonitor monitor) throws Exception {
		securityManager.removeSessionExtension(sessionExtension);
		sessionExtension = null;
	}

	@Override
	public String getName() {
		return "MyCustomSessionListener";
	}

	@Override
	public String getIdentifier() {
		return getClass().getName();
	}

}
